local L = AceLibrary("AceLocale-2.2"):new("ZOMGBlessingsManager")

L:RegisterTranslations("enUS", function() return {
	["TITLE"]			= "|cFFFF8080Z|cFFFFFF80O|cFF80FF80M|cFF8080FFG|cFFFFFFFFBlessings Manager|r",
	["TITLE_CONFIGURE"]	= "|cFFFF8080Z|cFFFFFF80O|cFF80FF80M|cFF8080FFG|cFFFFFFFFBlessings Manager |cFF808080(configure)|r",
	["SPLITTITLE"]		= "Class Split",
	["Manager"]									= true,
	["Blessings Manager configuration"]			= true,
	["Open"]									= true,
	["Open Blessings Manager"]					= true,
	["Send"]									= true,
	["Send options"]							= true,
	["Template"]								= true,
	["Send Blessings Manager master template to another player"] = true,
	["<player name>"]							= true,
	["Sub-Class Assignments"]					= true,
	["Send Blessings Manager sub-class assignments"] = true,
	["Blessings Manager master template received from %s. Stored in local templates as |cFFFFFF80%s|r"] = true,
	["Player sub-class assignments received from %s"] = true,
	["Templates"]								= true,
	["Template configuration"]					= true,
	["Cleanup"]									= true,
	["Cleanup options"]							= true,
	["Non-Guildies"]							= true,
	["Strip non-guildies from the stored sub-class definitions"] = true,
	["Non-Raid Members"]						= true,
	["Strip non-existant raid members from the stored sub-class definitions"] = true,
	["Cleaned %d players from the stored sub-class list"] = true,
	["Default"]									= true,
	["Finish"]									= true,
	["Finish configuring template"]				= true,
	["Configure"]								= true,
	["Configure the automatic template generation"] = true,
	["Generate"]								= true,
	["Generate automatic templates from manager's main template. This will broadcast new templates to all paladins, so only use at start of raid to set initial configuration. Changes made later by individual paladins will be reflected in the blessings grid."] = true,
	["Broadcast"]								= true,
	["Broadcast these templates to all paladins (Simply a refresh)"] = true,
	["Click to scale window"]					= true,
	["Alt-Click to size window"]				= true,
	["Exceptions"]								= true,
	["Unit exceptions"]							= true,
	["Single target exception for %s"]			= true,
	["None"]									= true,
	["Clear"]									= true,
	["Remove all exceptions for this cell"]		= true,
	["Warning: Couldn't assign row %d exception of %s for %s to anyone"] = true,
	["Clear All"] 								= true,
	["Clear all single buff exceptions"]		= true,
	["Autosave"]								= true,
	["%s %s, Please use these buff settings:"]	= true,
	["%s And these single buffs afterwards:"]	= true,
	["%s is offline, template not sent"]		= true,
	["Help"]									= true,
	["What the hell am I looking at?"]			= true,
	["Tank"]									= true,
	["Melee DPS"]								= true,
	["Caster DPS"]								= true,
	["Healer"]									= true,
	["Display"]									= true,
	["Display configuration"]					= true,
	["Highlights"]								= true,
	["Highlight the selected row and column in the manager"] = true,
	["Auto-Open Class Split"]					= true,
	["Automatically open the class split frame when defining the sub-class buff assignments"] = true,
	["Auto Assign"]								= true,
	["Automatically assign players to sub-classes based on talent spec"] = true,
	["Chat Interface"]							= true,
	["Chat interface configuration"]			= true,
	["Remote Buff Requests"]					= true,
	["Allow remote buff requests via the !zomg whisper command"] = true,
	["Behaviour"]								= true,
	["Other behaviour"]							= true,
	["Whispers"]								= true,
	["Send assignments to paladins without ZOMGBuffs or PallyPower via whispers?"] = true,
	["Unlock"]									= true,
	["Unlock undetected mod users for editing"]	= true,
	["%s Your Paladin buffs come from:"]		= true,
	["%s Could not interpret %s"]				= true,
	["%s Assigned %s to %s"]					= true,
	["%s You don't get %s from anyone"]			= true,
	["Assigned %s to buff %s on %s (by request of %s)"] = true,
	["%s %s is not allowed to do that"]			= true,
	["%s Remote control of buff settings is not enabled"] = true,
	["CHATHELP"] = "help",
	["CHATHELPRESPONSE1"] = "Usage: '!zomg +buff -buff', where +buff is the buff you want (ie: +bom) and -buff is the buff you want replace with it (ie: -bow). Various synonyms will work for the + and - buff names, ie: BOW bow wisdom.",
	["CHATHELPRESPONSE2"] = "Who does the buffs is not important for you to know (but you can query this with just '!zomg')",
	["CHATHELPRESPONSE3"] = "Example: '!zomg -bow +bok' - Will request that you get Kings instead of Wisdom",
	["CHATHELPRESPONSE4"] = "Example: '!zomg -kings +light' - Will request that you get Light instead of Kings",
	["HELP_TITLE"] = "Blessing Manager Help",
	["HELP_TEXT"] =
		"The Blessings Manager has two modes. The default mode simple shows the current blessings configuration for each paladin in the raid. The configure mode allows you to setup the default blessings per class, regardless of paladins present. These defaults can then be auto assigned by the 'Generate' button when in normal mode.\r\r"..
		"The list of paladins shows their name along with some relevant information such as available blessings (as icons), talent spec, and ZOMGBuffs version\r\r"..
		"|cFFFF8080Red Icons|r indicate a conflicting buff.\r|cFF8080FFBlue Icons|r indicate exceptions for this cell.\r\r"..
		"|cFFFFFFFFNormal Mode|r\r"..
		"|cFFFFFF80Left Click|r an icon to cycle through the blessings for that paladin and that class.\r"..
		"|cFFFFFF80Right Click|r an icon to set an exception for a single player. That is to say, after the druids have been buffed with Greater Blessing of Wisdom for example, you may have a feral druid that requires Blessing of Might instead.\r\r"..
		"|cFFFFFFFFConfigure Mode|r\r"..
		"It is important to realise that the order of the blessings in this mode represents how many paladins you may have present in any given raid. Setup correctly you should rarely need to change this configuration. So, assuming you had one paladin in a raid, the auto assigned blessings would be taken from row 1. Two paladins would take from rows 1 and 2 and so on.\r\r"..
		"|cFFFFFF80Left Click|r an icon to cycle through the blessings for that line and that class.\r\r"..
		"Mousing over a class with sub-classes defined will expand that class to show the sub-classes. Set these classes up in the same way. Note that the sub-class split window will also open to allow you to move players into their correct sub-classes.\r\r"..
		"|cFFFFFFFFConfigure Button|r\r"..
		"This will toggle between the two modes (normal and configure).\r\r"..
		"|cFFFFFFFFGenerate Button|r\r"..
		"This will assign paladins present with blessings based on the configured global template, taking into account talents so that paladins with Improved Blessing of Might, for example, will be favored to buff this blessing.\r\r"..
		"|cFFFFFFFFBroadcast Button|r\r"..
		"This will simply re-broadcast the current blessing layout, should anyone need this after a WoW crash for example.\r\r",
	["Generated automatic template"]			= true,
	["%s %s's template - %s from %s to %s"]		= true,
	["%s %s's exception - %s from %s to %s"]	= true,
	["Remotely changed"]						= true,
	["Changed"]									= true,
	["Cleared %s's exceptions for %s"]			= true,
	["Warning!"]								= true,
	["PallyPower users are in the raid and you are NOT promoted\rPallyPower only accepts assignment changes from promoted players"] = true,
	["%d Groups"]								= true,
	["Generating Blessing Assignments for groups 1 to %d"] = true,
	["Change how many groups are included in template generation and Paladin inclusion"] = true,
	["%d Group"]								= true,
	["%d Groups"]								= true,
	["Synchronised group count with %s to %d because of pending blessing assignments"] = true,

	-- Chat responder blessings recognition:
	-- If not appropriate to translate into more than one thing, just make them all the same
	["bow"]					= true,
	["wis"]					= true,
	["wisdom"]				= true,
	["bom"]					= true,
	["might"]				= true,
	["bos"]					= true,
	["salv"]				= true,
	["sal"]					= true,
	["salvation"]			= true,
	["san"]					= true,
	["sanc"]				= true,
	["sanctuary"]			= true,
	["bok"]					= true,
	["kings"]				= true,
	["king"]				= true,
	["bol"]					= true,
	["light"]				= true,
} end)
